Bug 986842 - vdsmd doesn't start on fedora19 --force-start flag is removed from systemd
vdsmd doesn't start on fedora19 --force-start flag is removed from systemd
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
3.2
Unspecified Linux
urgent Severity high
: ---
: 3.3
Assigned To: Dan Kenigsberg
Haim
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 04:30 EDT by Ohad Basan
Modified: 2014-10-30 18:34 EDT (History)
8 users (show)

See Also:
Fixed In Version: vdsm-4.10.3-18.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:34:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16527 None None None Never

  None (edit)
Description Ohad Basan 2013-07-22 04:30:08 EDT
Description of problem:

On fedora 19, it looks like the --force-start flag in systemd was removed
therefore trying to start it 

[root@tigris04 system]# journalctl -xn
-- Logs begin at Sun 2013-07-21 11:51:19 IDT, end at Mon 2013-07-22 11:23:52 IDT. --
Jul 22 11:23:51 tigris04.scl.lab.tlv.redhat.com systemd-vdsmd[2498]: vdsm: libvirt already configured for vdsm [  OK  ]
Jul 22 11:23:51 tigris04.scl.lab.tlv.redhat.com systemd-vdsmd[2498]: Starting multipathd...
Jul 22 11:23:51 tigris04.scl.lab.tlv.redhat.com systemd-vdsmd[2498]: Redirecting to /bin/systemctl start  multipathd.service
Jul 22 11:23:51 tigris04.scl.lab.tlv.redhat.com systemd[1]: Started Device-Mapper Multipath Device Controller.
-- Subject: Unit multipathd.service has finished start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit multipathd.service has finished starting up.
-- 
-- The start-up result is done.
Jul 22 11:23:52 tigris04.scl.lab.tlv.redhat.com systemd-vdsmd[2498]: Redirecting to /bin/systemctl force-start  iscsid.service
Jul 22 11:23:52 tigris04.scl.lab.tlv.redhat.com systemd-vdsmd[2498]: Unknown operation 'force-start'.
Jul 22 11:23:52 tigris04.scl.lab.tlv.redhat.com systemd-vdsmd[2498]: vdsm: one of the dependent services did not start, error code 1[FAILED]
Jul 22 11:23:52 tigris04.scl.lab.tlv.redhat.com systemd[1]: vdsmd.service: control process exited, code=exited status=1
Jul 22 11:23:52 tigris04.scl.lab.tlv.redhat.com systemd[1]: Failed to start Virtual Desktop Server Manager.
-- Subject: Unit vdsmd.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: http://www.freedesktop.org/wiki/Software/systemd/catalog/be02cf6855d2428ba40df7e9d022f03d
-- 
-- Unit vdsmd.service has failed.
Comment 1 Dan Kenigsberg 2013-07-22 07:02:32 EDT
I believe this has been fixed by http://gerrit.ovirt.org/16527

Federico, would you prepare a Fedora 19 build of oVirt-3.2.z that includes this fix?
Comment 2 Federico Simoncelli 2013-07-22 18:30:34 EDT
(In reply to Dan Kenigsberg from comment #1)
> I believe this has been fixed by http://gerrit.ovirt.org/16527
> 
> Federico, would you prepare a Fedora 19 build of oVirt-3.2.z that includes
> this fix?

I think we already have the build here:

http://koji.fedoraproject.org/koji/buildinfo?buildID=432646 (f18)
http://koji.fedoraproject.org/koji/buildinfo?buildID=432642 (f19)
Comment 3 Dan Kenigsberg 2013-07-23 03:50:01 EDT
Thanks, Federico and Douglas. My local repo was out of date and did not show this build.
Comment 4 Itamar Heim 2013-08-21 12:41:18 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 5 Itamar Heim 2013-09-23 03:34:14 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.